summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: b21c31c)
raw | patch | inline | side by side (parent: b21c31c)
author | Yann Dirson <ydirson@altern.org> | |
Sun, 8 Jan 2006 00:40:33 +0000 (01:40 +0100) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sun, 8 Jan 2006 08:54:30 +0000 (00:54 -0800) |
This allows to use another commit than the merge base as a limit for
scanning patches.
[jc: part about t3500 test omitted.]
Signed-off-by: Yann Dirson <ydirson@altern.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
scanning patches.
[jc: part about t3500 test omitted.]
Signed-off-by: Yann Dirson <ydirson@altern.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-cherry.sh | patch | blob | history |
diff --git a/git-cherry.sh b/git-cherry.sh
index 5e9bd0caf2e1141e3045ea6c3a1f0e9d9285c492..1a6232013b471d9a3df6ab10705c263aa740c2f7 100755 (executable)
--- a/git-cherry.sh
+++ b/git-cherry.sh
# Copyright (c) 2005 Junio C Hamano.
#
-USAGE='[-v] <upstream> [<head>]'
+USAGE='[-v] <upstream> [<head>] [<limit>]'
LONG_USAGE=' __*__*__*__*__> <upstream>
/
fork-point
\__+__+__+__+__+__+__+__> <head>
-Each commit between the fork-point and <head> is examined, and
-compared against the change each commit between the fork-point and
-<upstream> introduces. If the change seems to be in the upstream,
-it is shown on the standard output with prefix "+". Otherwise
-it is shown with prefix "-".'
+Each commit between the fork-point (or <limit> if given) and <head> is
+examined, and compared against the change each commit between the
+fork-point and <upstream> introduces. If the change seems to be in
+the upstream, it is shown on the standard output with prefix "+".
+Otherwise it is shown with prefix "-".'
. git-sh-setup
case "$1" in -v) verbose=t; shift ;; esac
case "$#" in
1) upstream=`git-rev-parse --verify "$1"` &&
ours=`git-rev-parse --verify HEAD` || exit
+ limit="$upstream"
;;
2) upstream=`git-rev-parse --verify "$1"` &&
ours=`git-rev-parse --verify "$2"` || exit
+ limit="$upstream"
+ ;;
+3) upstream=`git-rev-parse --verify "$1"` &&
+ ours=`git-rev-parse --verify "$2"` &&
+ limit=`git-rev-parse --verify "$3"` || exit
;;
*) usage ;;
esac
# Note that these list commits in reverse order;
# not that the order in inup matters...
inup=`git-rev-list ^$ours $upstream` &&
-ours=`git-rev-list $ours ^$upstream` || exit
+ours=`git-rev-list $ours ^$limit` || exit
tmp=.cherry-tmp$$
patch=$tmp-patch